Save Knowledge
curl --request PUT \
--url https://api.example.com/v2/deductions/knowledge/{operation} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>"
}
'import requests
url = "https://api.example.com/v2/deductions/knowledge/{operation}"
payload = { "content": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://api.example.com/v2/deductions/knowledge/{operation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"operation": "identify_document_customer",
"scope": "global",
"content": "<string>",
"partner_id": "<string>",
"partner_name": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}deductions-knowledge
Save Knowledge
Save Global Knowledge Entry
Create or update a global knowledge entry for an operation.
PUT
/
v2
/
deductions
/
knowledge
/
{operation}
Save Knowledge
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Available options:
identify_document_customer, classify_document_type, parse_backup, parse_remittance, assign_deduction_reason_code, assign_line_item_reason_codes, match_inventory, match_vendor, match_claims_and_deductions, generate_credit_memo, generate_alerts Body
application/json
Response
Successful Response
An operation with its optional saved content.
Available options:
identify_document_customer, classify_document_type, parse_backup, parse_remittance, assign_deduction_reason_code, assign_line_item_reason_codes, match_inventory, match_vendor, match_claims_and_deductions, generate_credit_memo, generate_alerts Available options:
global, customer 